
Redmine - Patch #16700

Blank content type for attachments attached via Ajax file upload

2014-04-16 12:59 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.5.2   

Description

We recently discovered a bug her at Planio which pretty much affects all attachments created via the Ajax file upload: Attachments

are initially created with the correct content type, but later when retrieved via their tokens and attached to their container this gets

overwritten with nil.

Please see the patch attached. Testcase included.

Associated revisions

Revision 13125 - 2014-05-02 09:38 - Jean-Philippe Lang

Blank content type for attachments attached via Ajax file upload (Patch by Jens Krämer).

Revision 13164 - 2014-05-24 18:39 - Jean-Philippe Lang

Merged r13125 (#16700).

History

#1 - 2014-04-16 12:59 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2014-05-02 09:38 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.5.2

Committed in r13125, thanks.

#3 - 2014-05-24 18:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

fix_content_type.patch 1.58 KB 2014-04-16 Jens Krämer
